## $Id: browser.py 10788 2013-11-22 07:12:48Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""UI components for basic applicants and related components.
"""
import grok
from waeup.kofa.applicants.browser import (
    ApplicantRegistrationPage, ApplicantsContainerPage)
from waeup.kofa.applicants.interfaces import IApplicant, IApplicantEdit
from kofacustom.nigeria.applicants.browser import (
    NigeriaApplicantDisplayFormPage,
    NigeriaPDFApplicationSlip,
    ApplicantDisplayFormPage,
    ApplicantManageFormPage,
    ApplicantEditFormPage)

from kofacustom.ekodisco.interfaces import MessageFactory as _

class CustomApplicantDisplayFormPage(ApplicantDisplayFormPage):
    """A display view for applicant data.
    """
    grok.template('applicantdisplaypage')

    form_fields = grok.AutoFields(IApplicant).omit(
        'locked', 'course_admitted', 'password', 'suspended',
        'course2', 'notice', 'student_id')

class CustomApplicantManageFormPage(ApplicantManageFormPage):
    """A full edit view for applicant data.
    """
    grok.template('applicanteditpage')

    form_fields = grok.AutoFields(IApplicant).omit('course2', 'notice', 'student_id')
    form_fields['applicant_id'].for_display = True

class CustomApplicantEditFormPage(ApplicantEditFormPage):
    """An applicant-centered edit view for applicant data.
    """
    grok.template('applicanteditpage')

    form_fields = grok.AutoFields(IApplicantEdit).omit(
        'locked', 'course_admitted', 'student_id',
        'suspended', 'course2', 'notice'
        )
    form_fields['applicant_id'].for_display = True
    form_fields['reg_number'].for_display = True
